/*
 * Generated by the Jasper component of Apache Tomcat
 * Version: Apache Tomcat/8.5.61
 * Generated at: 2020-12-13 09:11:51 UTC
 * Note: The last modified time of this file was set to
 *       the last modified time of the source file after
 *       generation to assist with modification tracking.
 */
package org.apache.jsp.webcontent.birt.pages.control;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import org.eclipse.birt.report.presentation.aggregation.IFragment;
import org.eclipse.birt.report.context.BaseAttributeBean;
import org.eclipse.birt.report.resource.BirtResources;

public final class NavigationbarFragment_jsp extends org.apache.jasper.runtime.HttpJspBase
    implements org.apache.jasper.runtime.JspSourceDependent,
                 org.apache.jasper.runtime.JspSourceImports {

  private static final javax.servlet.jsp.JspFactory _jspxFactory =
          javax.servlet.jsp.JspFactory.getDefaultFactory();

  private static java.util.Map<java.lang.String,java.lang.Long> _jspx_dependants;

  private static final java.util.Set<java.lang.String> _jspx_imports_packages;

  private static final java.util.Set<java.lang.String> _jspx_imports_classes;

  static {
    _jspx_imports_packages = new java.util.HashSet<>();
    _jspx_imports_packages.add("javax.servlet");
    _jspx_imports_packages.add("javax.servlet.http");
    _jspx_imports_packages.add("javax.servlet.jsp");
    _jspx_imports_classes = new java.util.HashSet<>();
    _jspx_imports_classes.add("org.eclipse.birt.report.resource.BirtResources");
    _jspx_imports_classes.add("org.eclipse.birt.report.context.BaseAttributeBean");
    _jspx_imports_classes.add("org.eclipse.birt.report.presentation.aggregation.IFragment");
  }

  private volatile javax.el.ExpressionFactory _el_expressionfactory;
  private volatile org.apache.tomcat.InstanceManager _jsp_instancemanager;

  public java.util.Map<java.lang.String,java.lang.Long> getDependants() {
    return _jspx_dependants;
  }

  public java.util.Set<java.lang.String> getPackageImports() {
    return _jspx_imports_packages;
  }

  public java.util.Set<java.lang.String> getClassImports() {
    return _jspx_imports_classes;
  }

  public javax.el.ExpressionFactory _jsp_getExpressionFactory() {
    if (_el_expressionfactory == null) {
      synchronized (this) {
        if (_el_expressionfactory == null) {
          _el_expressionfactory = _jspxFactory.getJspApplicationContext(getServletConfig().getServletContext()).getExpressionFactory();
        }
      }
    }
    return _el_expressionfactory;
  }

  public org.apache.tomcat.InstanceManager _jsp_getInstanceManager() {
    if (_jsp_instancemanager == null) {
      synchronized (this) {
        if (_jsp_instancemanager == null) {
          _jsp_instancemanager = org.apache.jasper.runtime.InstanceManagerFactory.getInstanceManager(getServletConfig());
        }
      }
    }
    return _jsp_instancemanager;
  }

  public void _jspInit() {
  }

  public void _jspDestroy() {
  }

  public void _jspService(final javax.servlet.http.HttpServletRequest request, final javax.servlet.http.HttpServletResponse response)
      throws java.io.IOException, javax.servlet.ServletException {

    final java.lang.String _jspx_method = request.getMethod();
    if (!"GET".equals(_jspx_method) && !"POST".equals(_jspx_method) && !"HEAD".equals(_jspx_method) && !javax.servlet.DispatcherType.ERROR.equals(request.getDispatcherType())) {
      response.sendError(HttpServletResponse.SC_METHOD_NOT_ALLOWED, "JSPs only permit GET, POST or HEAD. Jasper also permits OPTIONS");
      return;
    }

    final javax.servlet.jsp.PageContext pageContext;
    final javax.servlet.ServletContext application;
    final javax.servlet.ServletConfig config;
    javax.servlet.jsp.JspWriter out = null;
    final java.lang.Object page = this;
    javax.servlet.jsp.JspWriter _jspx_out = null;
    javax.servlet.jsp.PageContext _jspx_page_context = null;


    try {
      response.setContentType("text/html; charset=utf-8");
      pageContext = _jspxFactory.getPageContext(this, request, response,
      			null, false, 0, true);
      _jspx_page_context = pageContext;
      application = pageContext.getServletContext();
      config = pageContext.getServletConfig();
      out = pageContext.getOut();
      _jspx_out = out;

      out.write("\n");
      out.write("\n");
      out.write("\n");
      out.write("\n");
      out.write("\n");
      out.write('\n');
      org.eclipse.birt.report.presentation.aggregation.IFragment fragment = null;
      fragment = (org.eclipse.birt.report.presentation.aggregation.IFragment) _jspx_page_context.getAttribute("fragment", javax.servlet.jsp.PageContext.REQUEST_SCOPE);
      if (fragment == null){
        throw new java.lang.InstantiationException("bean fragment not found within scope");
      }
      out.write('\n');
      org.eclipse.birt.report.context.BaseAttributeBean attributeBean = null;
      attributeBean = (org.eclipse.birt.report.context.BaseAttributeBean) _jspx_page_context.getAttribute("attributeBean", javax.servlet.jsp.PageContext.REQUEST_SCOPE);
      if (attributeBean == null){
        throw new java.lang.InstantiationException("bean attributeBean not found within scope");
      }
      out.write('\n');
      out.write('\n');
      out.write("\n");
      out.write("<TR \n");
      out.write("\t");
	
		String imagesPath = "birt/images/";
	
		if( attributeBean.isShowNavigationbar( ) )
		{
	
      out.write("\n");
      out.write("\t\tHEIGHT=\"25px\"\n");
      out.write("\t");

		}
		else
		{
	
      out.write("\n");
      out.write("\t\tstyle=\"display:none\"\n");
      out.write("\t");

		}
	
      out.write("\t\n");
      out.write(">\n");
      out.write("\t<TD>\n");
      out.write("\t\t<DIV id=\"navigationBar\">\n");
      out.write("\t\t\t<TABLE CELLSPACING=\"0\" CELLPADDING=\"0\" WIDTH=\"100%\" HEIGHT=\"25px\" CLASS=\"birtviewer_navbar\">\n");
      out.write("\t\t\t\t<TR><TD></TD></TR>\n");
      out.write("\t\t\t\t<TR>\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"6px\">&nbsp;</TD>\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"100%\" NOWRAP>\n");
      out.write("\t\t\t\t\t\t<B>\n");
      out.write("\t\t\t\t\t\t");

							if ( attributeBean.getBookmark( ) != null )
							{
						
      out.write("\n");
      out.write("\t\t\t\t\t\t\t");
      out.print( 
								BirtResources.getMessage( "birt.viewer.navbar.prompt.one" )
							);
      out.write("&nbsp;\n");
      out.write("\t\t\t\t\t\t\t<SPAN ID='pageNumber'></SPAN>&nbsp;\n");
      out.write("\t\t\t\t\t\t\t");
      out.print( BirtResources.getMessage( "birt.viewer.navbar.prompt.two" ));
      out.write("&nbsp;\n");
      out.write("\t\t\t\t\t\t\t<SPAN ID='totalPage'></SPAN>\n");
      out.write("\t\t\t\t\t\t");

							}
							else
							{
						
      out.write("\n");
      out.write("\t\t\t\t\t\t\t");
      out.print( BirtResources.getMessage( "birt.viewer.navbar.prompt.one" ));
      out.write("&nbsp;\n");
      out.write("\t\t\t\t\t\t\t<SPAN ID='pageNumber'>");
      out.print( ""+attributeBean.getReportPage( ) );
      out.write("</SPAN>&nbsp;\n");
      out.write("\t\t\t\t\t\t\t");
      out.print( BirtResources.getMessage( "birt.viewer.navbar.prompt.two" ));
      out.write("&nbsp;\n");
      out.write("\t\t\t\t\t\t\t<SPAN ID='totalPage'></SPAN>\n");
      out.write("\t\t\t\t\t\t");

							}
						
      out.write("\n");
      out.write("\t\t\t\t\t\t</B>\n");
      out.write("\t\t\t\t\t</TD>\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"15px\">\n");
      out.write("\t\t\t\t\t\t<INPUT TYPE=\"image\" SRC=\"");
      out.print( imagesPath + (attributeBean.isRtl()?"LastPage":"FirstPage") + "_disabled.gif" );
      out.write("\" NAME='first'\n");
      out.write("\t\t\t\t\t\t\tALT=\"");
      out.print( BirtResources.getHtmlMessage( "birt.viewer.navbar.first" ));
      out.write("\" \n");
      out.write("\t\t\t\t\t\t\tTITLE=\"");
      out.print( BirtResources.getHtmlMessage( "birt.viewer.navbar.first" ));
      out.write("\" CLASS=\"birtviewer_clickable\">\n");
      out.write("\t\t\t\t\t</TD>\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"2px\">&nbsp;</TD>\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"15px\">\n");
      out.write("\t\t\t\t\t\t<INPUT TYPE=\"image\" SRC=\"");
      out.print( imagesPath + (attributeBean.isRtl()?"NextPage":"PreviousPage") + "_disabled.gif" );
      out.write("\" NAME='previous' \n");
      out.write("\t\t\t\t\t\t\tALT=\"");
      out.print( BirtResources.getHtmlMessage( "birt.viewer.navbar.previous" ));
      out.write("\" \n");
      out.write("\t\t\t\t\t\t\tTITLE=\"");
      out.print( BirtResources.getHtmlMessage( "birt.viewer.navbar.previous" ));
      out.write("\" CLASS=\"birtviewer_clickable\">\n");
      out.write("\t\t\t\t\t</TD>\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"2px\">&nbsp;</TD>\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"15px\">\n");
      out.write("\t\t\t\t\t\t<INPUT TYPE=\"image\" SRC=\"");
      out.print( imagesPath + (attributeBean.isRtl()?"PreviousPage":"NextPage") + "_disabled.gif" );
      out.write("\" NAME='next'\n");
      out.write("\t\t\t\t\t\t    ALT=\"");
      out.print( BirtResources.getHtmlMessage( "birt.viewer.navbar.next" ));
      out.write("\" \n");
      out.write("\t\t\t\t\t\t\tTITLE=\"");
      out.print( BirtResources.getHtmlMessage( "birt.viewer.navbar.next" ));
      out.write("\" CLASS=\"birtviewer_clickable\">\n");
      out.write("\t\t\t\t\t</TD>\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"2px\">&nbsp;</TD>\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"15px\">\n");
      out.write("\t\t\t\t\t\t<INPUT TYPE=\"image\" SRC=\"");
      out.print( imagesPath + (attributeBean.isRtl()?"FirstPage":"LastPage") + "_disabled.gif" );
      out.write("\" NAME='last'\n");
      out.write("\t\t\t\t\t\t    ALT=\"");
      out.print( BirtResources.getHtmlMessage( "birt.viewer.navbar.last" ));
      out.write("\"\n");
      out.write("\t\t\t\t\t\t\tTITLE=\"");
      out.print( BirtResources.getHtmlMessage( "birt.viewer.navbar.last" ));
      out.write("\" CLASS=\"birtviewer_clickable\">\n");
      out.write("\t\t\t\t\t</TD>\n");
      out.write("\t\t\t\t\t\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"8px\">&nbsp;&nbsp;</TD>\n");
      out.write("\t\t\t\t\t\n");
      out.write("\t\t\t\t\t<TD ALIGN=\"right\" NOWRAP><LABEL for=\"gotoPage\"><b>");
      out.print( BirtResources.getMessage( "birt.viewer.navbar.lable.goto" ));
      out.write("</b></LABEL></TD>\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"2px\">&nbsp;</TD>\n");
      out.write("\t\t\t\t\t<TD ALIGN=\"right\" WIDTH=\"50px\">\n");
      out.write("\t\t\t\t\t\t<INPUT ID='gotoPage' TYPE='text' VALUE='' MAXLENGTH=\"8\" SIZE='5' CLASS=\"birtviewer_navbar_input\">\n");
      out.write("\t\t\t\t\t</TD>\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"4px\">&nbsp;</TD>\n");
      out.write("\t\t\t\t\t<TD ALIGN=\"right\" WIDTH=\"10px\">\n");
      out.write("\t\t\t\t\t\t<INPUT TYPE=\"image\" SRC=\"");
      out.print( imagesPath + (attributeBean.isRtl()?"Go_rtl.gif":"Go.gif") );
      out.write("\" NAME='goto'\n");
      out.write("\t\t\t\t\t\t    ALT=\"");
      out.print( BirtResources.getHtmlMessage( "birt.viewer.navbar.goto" ));
      out.write("\" \n");
      out.write("\t\t\t\t\t\t\tTITLE=\"");
      out.print( BirtResources.getHtmlMessage( "birt.viewer.navbar.goto" ));
      out.write("\" CLASS=\"birtviewer_clickable\">\n");
      out.write("\t\t\t\t\t</TD>\n");
      out.write("\t\t\t\t\t<TD WIDTH=\"6px\">&nbsp;</TD>\n");
      out.write("\t\t\t\t</TR>\n");
      out.write("\t\t\t</TABLE>\n");
      out.write("\t\t</DIV>\n");
      out.write("\t</TD>\n");
      out.write("</TR>\n");
    } catch (java.lang.Throwable t) {
      if (!(t instanceof javax.servlet.jsp.SkipPageException)){
        out = _jspx_out;
        if (out != null && out.getBufferSize() != 0)
          try {
            if (response.isCommitted()) {
              out.flush();
            } else {
              out.clearBuffer();
            }
          } catch (java.io.IOException e) {}
        if (_jspx_page_context != null) _jspx_page_context.handlePageException(t);
        else throw new ServletException(t);
      }
    } finally {
      _jspxFactory.releasePageContext(_jspx_page_context);
    }
  }
}
